DS_GET_SCATTERED_ELEMENTS(3)

FUNCTION
ds_get_scattered_elements - Convert scattered atomic data to double precision complex values.

SYNOPSIS
#include <karma_ds.h>

flag ds_get_scattered_elements

(CONST char *data, unsigned int data_type, CONST uaddr *offsets, double *values, flag *complex, unsigned int num_values)

DESCRIPTION
This routine will convert many atomic data to an array of double precision complex values. The data values may be scattered randomly (an offset array is used to index to the actual data).

data
    The data to be converted. Misaligned data will cause bus errors on some platforms.

data_type
    The type of the data.

offsets
    The offset array (in bytes).

values
    The data values will be written here. Must be a double boundary.

complex
    If the data are a complex type, then the value of TRUE is written here, else the value FALSE is written here. If this is NULL, nothing is written here.

num_values
    The number of data values to convert.

RETURN VALUE
TRUE if the data was successfully converted, else FALSE.

Multi-threading Level
Safe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/